PAPI_register_thread(3)

NAME
PAPI_register_thread -

Notify PAPI that a thread has 'appeared'.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
    int PAPI_register_thread (void);

PAPI_register_thread() should be called when the user wants to force PAPI to initialize a thread that PAPI has not seen before.

Usually this is not necessary as PAPI implicitly detects the thread when an eventset is created or other thread local PAPI functions are called. However, it can be useful for debugging and performance enhancements in the run-time systems of performance tools.

Return values:
    PAPI_ENOMEM Space could not be allocated to store the new thread information.
    PAPI_ESYS A system or C library call failed inside PAPI, see the errno variable.
    PAPI_ECMP Hardware counters for this thread could not be initialized.

See Also:
    PAPI_unregister_thread

    PAPI_thread_id

    PAPI_thread_init

Author

Generated automatically by Doxygen for PAPI from the source code.